-module(gen_mac7).

-define(Fun, myfun).
-define(Par(A), A)).

myfun(0) ->
    1;
myfun(A) ->
    B = 2,
    2*B*myfun(A-1).

secondfun(A) -> 2*A.

appl() ->
    A = 3,
    secondfun(?Par(A),
    ?Fun(?Par(A) + 3.
